Skip to main content
GET
/
v5
/
taxes
/
taxFilings
Get tax filings
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/taxes/taxFilings \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "status": "NOT_STARTED",
      "year": 123,
      "apiName": "COLUMN",
      "totalAmountOwed": 123,
      "totalAmountPaid": 123,
      "startDate": "2023-11-07T05:31:56Z",
      "submittedDate": "2023-11-07T05:31:56Z",
      "taxReturns": [
        {
          "id": 123,
          "status": "NOT_SUBMITTED",
          "amountOwed": 123,
          "taxCountryCode": "<string>",
          "taxState": "<string>",
          "amountPaid": 123,
          "acceptedDate": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

lastUpdatedDate
string

Date filter (YYYY-MM-DD) - returns all records updated after the specified date. Null returns all data

Query Parameters

year
integer<int32>

Year filter (YYYY) - returns all records for the specified year. Null will return all data.

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate